﻿@model Schedule.Application.ViewModel.CustoMedioViewModel

@{
    ViewData["Title"] = "Novo";
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <h4>Cadastrar Custo Médio</h4>
        </div>
    </div>
</div>
<hr />
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <form asp-action="Editar">
                <div class="form-group">
                    @Html.HiddenFor(e => e.id)
                    <label asp-for="EspecialidadeNome" class="control-label">Especialidade:</label>
                    <select class="form-control" id="EspecialidadeId" name="EspecialidadeId">
                        @if (ViewBag.Especialidades != null)
                        {
                            <option value="">Selecione </option>
                            foreach (var item in ViewBag.Especialidades)
                            {
                                if (Model != null && Model.EspecialidadeId.ToString() == item.Value)
                                {
                                    <option selected="selected" value="@item.Value">@item.Text </option>
                                }
                                else
                                {
                                    <option value="@item.Value">@item.Text </option>
                                }


                            }
                        }
                    </select>
                    <span asp-validation-for="EspecialidadeId" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Valor" class="control-label">Valor : <b>R$</b></label>
                    <input asp-for="Valor" maxlength="10" class="SomenteNumeros form-control" placeholder="Digite o Valor..." required />
                    <span asp-validation-for="Valor" class="text-danger"></span>
                </div>
                <br />
                <div  asp-validation-summary="ModelOnly" class=" text-danger">
                </div>
                <br />
                <div class="form-group">
                    <input type="submit" value="Salvar" class="btn btn-primary" />
                    <a asp-action="Index" class="btn btn-danger">Voltar</a>
                </div>
            </form>
        </div>
    </div>
</div>
@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
<script type="text/javascript" src="@Url.ContentVersioned("~/Scripts/CustoMedio.js")"></script>